var params = require('./params.js');
var api_web_url = params.api_web_url;
var up_img_url = params.up_img_url;
const gps_url = params.gps_url;
const map_url = params.map_url;
const api_admin_url = params.api_admin_url;
const help_api_web_url = params.help_api_web_url;
var config = {
    APP_VERSION: '1.4.2024091201',
    APP_DESC: '优化小程序',
    QQ_MAP_KEY: 'Q7DBZ-BQH65-MEMIO-Q7LEF-S43Z3-G6B34',
    // 腾讯地图api key
    QINIU_SITE: 'http://qiniu.uwenya.cc/',
    // 拉取图片地址
    QINIU_UPLOAD_SITE: 'https://upload.qiniup.com/',
    // 七牛上传地址
    API_QINIU_UP_IMG_TOKEN: up_img_url + '?r=qiniu/token',
    // 获取上传token

    API_INDEX_APP_CONFIG: api_web_url + '?r=index/app-config',
    API_USER_LOGIN: api_web_url + '/user/login',
    API_USER_INFO: api_web_url + '/user/info',
    API_USER_VERIFY_CODE: api_web_url + '/user/verify-code',
    API_USER_REGISTER: api_web_url + '/user/register',
    API_USER_CHANGE_PASSWORD: api_web_url + '/user/change-password',
    API_USER_GROUP_LIST: api_web_url + '/user/group-list',
    API_USER_USER_INFO: api_web_url + '?r=user/user-info',
    API_USER_FIRST_CHILDREN: api_web_url + '?r=user/first-children',
    API_RENEW_LIST: api_web_url + 'device/sim-renew-list',
    API_BATTERY_LIST: api_web_url + '/device/list',
    API_BATTERY_ICON_LIST: api_web_url + '/device/icon-list',
    API_BATTERY_TRANSFER: api_web_url + '?r=battery/transfer',
    API_BATTERY_BTYPE_LIST: api_web_url + '?r=battery/type-list',
    API_BATTERY_BATCH_EDIT: api_web_url + '?r=battery/batch-edit',
    API_BATTERY_SEARCH: api_web_url + '/device/group-search',
    API_BATTERY_SET_INFO: api_web_url + '/device/set-info',
    API_BATTERY_RELEASE_USER: api_web_url + '?r=battery/release-user',
    API_BATTERY_SEND_COMMAND: api_web_url + '/device/send-command',
    API_BATTERY_COMMAND_LIST: api_web_url + '/device/command-list',
    API_BATTERY_BIND: api_web_url + '/device/bind',
    API_BATTERY_UNBIND: api_web_url + '/device/unbind',
    API_BATTERY_MILLIST: api_web_url + '/device/milday-list',
    API_BMS_STATE: api_web_url + '/bms/state',
    API_BMS_SET: api_web_url + '/bms/set',
    API_BMS_READ: api_web_url + '/bms/read',
    API_BMS_CHARGING_MOS: api_web_url + '/bms/charging-mos',
    API_BMS_DISCHARGARGE_MOS: api_web_url + '/bms/discharge-mos',
    API_BMS_RESTART: api_web_url + '/bms/restart',
    API_BMS_CLOSE: api_web_url + '/bms/close',
    API_BMS_CURRENT_ZERO: api_web_url + '/bms/current-zero',
    API_BMS_ALARM: api_web_url + '/bms/alarm',
    API_CLIENT_GET_BY_PHONE: api_web_url + '?r=client/get-by-phone',
    API_ORDER_CHILDREN_LIST: api_web_url + '?r=order/children',
    API_ORDER_PAY_SUCCESS: api_web_url + '?r=order/pay-success',
    API_STATIS_TOTAL_STATIS: api_web_url + '?r=statis/total-statis',
    API_BATTERY_ON: api_web_url + '?r=battery/on',
    API_BATTERY_OFF: api_web_url + '?r=battery/off',
    API_STATIS_TOP: api_web_url + '/statis/top',
    API_AREA_STATIS: api_web_url + '/statis/area-statis',
    API_DEVICE_STATIS: api_web_url + '/statis/device-status',
    API_DEVICE_MONTH: api_web_url + '/statis/device-monthly',
    API_ALARM_ALL: api_web_url + '/device/alarm-all',
    API_INCOME_USER: api_web_url + '?r=statis/income-user',
    API_USER_REPLACE_STATUS_LIST: api_web_url + '?r=user/replace-status-list',
    API_BATTERY_REPLACE: api_web_url + '?r=battery/battery-replace',
    API_COMMISSION_MONEY: api_web_url + '?r=user/commission-money',
    API_COMMISSION_LIST: api_web_url + '?r=user/commission-list',
    API_COMMISSION_APPLY_BOSS: api_web_url + '?r=user/commission-apply-boss',
    API_GPS_TRACK: api_web_url + '/device/track',
    API_GPS_ALARM: api_web_url + '/device/alarm',
    API_GPS_INFO: api_web_url + '/device/gps-info',
    API_GPS_INFO: api_web_url + '/device/gps-info',
    API_ELE_QUANTITY: api_web_url + '/device/electric-quantity',
    API_SIM_INFO: api_web_url + '/sim/info',
    API_SIM_CREDIT: api_web_url + '/sim/credit',
    API_XCX_NOTICE: api_web_url + '/app/xcx-notice',
    API_XCX_SET_NOTICE: api_web_url + '/app/set-xcx-notice',
    API_FENCE_LIST: api_web_url + '/fence/list',
    API_FENCE_EDIT: api_web_url + '/fence/edit',
    API_FENCE_ADD: api_web_url + '/fence/add',
    API_FENCE_DEL: api_web_url + '/fence/del',
    API_REPORT_BLUETOOTH: api_web_url + '/bms/bluetooth-report',
    API_REPORT_BMS: api_web_url + '/bms/report-bms-data',
    API_GET_CTL: api_web_url + '/bms/get-ctl-data',
    API_QV_CONFIG: api_web_url + 'device/qv-config-content',
    //获取波特率
    API_GET_BPS: api_web_url + 'device/bps',
    //获取报警类型
    API_SMS_GET_SET: api_web_url + 'app/get-setting',
    //获取设备报警类型
    API_SMS_GET_DEVICE_SET: api_web_url + 'app/get-device-setting',
    //设置报警类型
    API_SMS_SAVE_SET: api_web_url + 'app/device-setting',
    //获取支付配置
    API_COIN_CONFIG: api_web_url + 'app/coin-product',
    //短信充值下单
    API_COIN_CREDIT: api_web_url + 'app/coin-credit',
    //短信报警数据
    API_ALARM_SUMMARY: api_web_url + 'app/alarm-summary',
    //开关短信报警状态
    API_CLOSE_ALARM: api_web_url + 'app/close-alarm',
    //短信报警记录
    API_RECORD_LIST: api_web_url + 'app/alarm-list',
    //获取金币
    API_GET_COIN: api_web_url + 'app/coin',
    //是否有可领用优惠券
    API_HAS_COUPON: api_web_url + 'app/has-coupon',
    //使用优惠券
    API_USE_COUPON: api_web_url + 'app/use-coupon',
    //充值记录
    API_GET_COIN_ORDER: api_web_url + 'app/coin-order',
    //流水钱包
    API_GET_COIN_HISTORY: api_web_url + 'app/coin-history',
    //展示总里程
    API_SHOW_MIL: api_web_url + 'device/distance',
    API_MAP_REGEO: map_url + 'geocode/regeo',
    API_IS_CHILD: api_admin_url + '?r=user/is-child',
    API_CONTRACT_CONTENT: help_api_web_url + '?r=contract/content'
};
module.exports = config;
